
---
kind: PersistentVolume
apiVersion: v1
metadata:
  name: pv01
spec:
  accessModes:
  - ReadWriteMany
  capacity:
    storage: 1Gi
  nfs:
    path: /srv/nfs_man/v01
    server: cluster02-m01.multipass
  mountOptions:
  - nfsvers=3

---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: pvc01
spec:
  storageClassName: ""
  accessModes:
  - ReadWriteMany
  resources:
    requests:
      storage: 1Mi

---
kind: Pod
apiVersion: v1
metadata:
  name: test-pod01
spec:
  containers:
  - image: aemc/whoami
    name: whoami-container
    volumeMounts:
    - mountPath: /mnt
      name: test-volume
  volumes:
  - name: test-volume
    persistentVolumeClaim:
      claimName: pvc01
